# OpalIM Class Reference

`#include <im.h>`

Collaboration diagram for OpalIM:

[legend]

## Public Member Functions

| OpalIM ()

## Static Public Member Functions

static PAtomicInteger::IntegerType | GetNextMessageId ()

## Data Fields

PString | m_conversationId
| Identifier for the conversation of messages.
PURL | m_to
| URL for destination of message.
OpalTransportAddress | m_toAddr
| Physical address for destination of message.
PURL | m_from
| URL for source of message.
OpalTransportAddress | m_fromAddr
| Physical address for source of message.
PString | m_fromName
| Alias (human readable) name for source of message.
PStringToString | m_bodies
| Map of MIME types to body text, e.g. "text/plain", "Hello Bob!".
PAtomicInteger::IntegerType | m_messageId

## Detailed Description

Class representing an Instant Message event. Whenever something happens with an IM conversation, this encapsulates all the information relevant to the event. For example the text of the instant message would arrive this way, and also status indication such as composition indication.

## Constructor & Destructor Documentation

OpalIM::OpalIM | ( |  | ) |

## Member Function Documentation

static PAtomicInteger::IntegerType OpalIM::GetNextMessageId | ( |  | ) | `[static]`

## Field Documentation

PStringToString OpalIM::m_bodies

Map of MIME types to body text, e.g. "text/plain", "Hello Bob!".

PString OpalIM::m_conversationId

Identifier for the conversation of messages.

PURL OpalIM::m_from

URL for source of message.

OpalTransportAddress OpalIM::m_fromAddr

Physical address for source of message.

PString OpalIM::m_fromName

Alias (human readable) name for source of message.

PAtomicInteger::IntegerType OpalIM::m_messageId

Unique identifier for OpalIM instance for matching multiple simultaneous message states.

PURL OpalIM::m_to

URL for destination of message.

OpalTransportAddress OpalIM::m_toAddr

Physical address for destination of message.

The documentation for this class was generated from the following file:

- im.h